//@ sourceURL=emergencias.js  
jQuery(function($){
	initRupI18nPromise.then(function() {
		prepareData();		
	});
	
	function prepareData(){
	
	
		$("#maestroEmergencias_idTipoEmergencia46_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			selected:''
		});
		$.rup_date({
			//yearRange: 'c-100:c+0',
	        from: "fEmergencia27Desde_filter_table",
	        to: "fEmergencia27Hasta_filter_table",
	        mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true
	     });
		
		let tableColModels = [		
				
				{ 	name: locale=='Es'?"maestroEmergencias.descEs46":'maestroEmergencias.descEu46',
					index: locale=='Es'?"maestroEmergencias.descEs46":'maestroEmergencias.descEu46',
					editable: true, 
					hidden: false
				},
				{ 	name: "fEmergencia27",
					index: "fEmergencia27",
					editable: true, 
					hidden: false
				},
				{ 	name: "recMovilEmers",
					index: "recMovilEmers",
					editable: true, 
					hidden: false
				}
				
				];
	
		let columnDefs = [ 
			
			{ 
				"targets": 2,
				"render": function(data, type, row, settings){	
					if( data !=null ){
						let recursos = "";
						data.forEach( (mov) => {
							let movText = "";
							switch (mov.recursoMovilizado28) {
								case RECURSOMOVILIZADO_FAMILIARESVal:
									movText = RECURSOMOVILIZADO_FAMILIARESDesc;
									break;
								case RECURSOMOVILIZADO_UMPROPIAVal:
									movText = RECURSOMOVILIZADO_UMPROPIADesc;
									break;
								case RECURSOMOVILIZADO_UMSOPORTEVal:
									movText = RECURSOMOVILIZADO_UMSOPORTEDesc;
									break;
								case RECURSOMOVILIZADO_SOSDEIAKVal:
									movText = RECURSOMOVILIZADO_SOSDEIAKDesc;
									break;
								case RECURSOMOVILIZADO_CSVal:
									movText = RECURSOMOVILIZADO_CSDesc;
									break;
								default: 
									movText = '---';
									break;
		
							}
							recursos += `<li>${movText}</li>`; 
						});
						
						return `<ul style="margin-left: 0;padding-left: 0;list-style: circle;">${recursos}</ul>`;
					}
					return '';
				}
			}
		];
		$("#emergencias").rup_table({
			colReorder: {
			 fixedColumnsLeft: 1
			}
			,colModel: tableColModels
			,columnDefs : columnDefs
			,primaryKey: "idEmergencia27"
			,filter:{
	  	  		id:"emergencias_filter_form",
	  	  		filterToolbar:"emergencias_filter_toolbar",
	  	  		collapsableLayerId:"emergencias_filter_fieldset",
	  	  		showHidden: true
	     	}
			,noEdit : true
	   		,select: {
	       		activate: true
	   		}
			,buttons: {
				activate: true,
				contextMenu: false,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton'],
			},
			columnOrderArrows: {
			    showOnlyActive: false,
			    display: 'inline'
			}
			,order: [[0, "asc"],[1, "des"]]
		});
	}
});